Bug 145129 - FILEOPEN XLSX Default row height about to page number difference
Summary: FILEOPEN XLSX Default row height about to page number difference
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.3.0
Keywords: filter:xlsx
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2021-10-14 12:40 UTC by NISZ LibreOffice Team
Modified: 2021-11-08 11:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel with DefaulRowHeight_28.35pt (10.60 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-10-14 12:42 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc (53.17 KB, image/png)
2021-10-14 12:44 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc layout view (41.67 KB, image/png)
2021-10-14 12:45 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Calc layout view (30.07 KB, image/png)
2021-10-14 12:46 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-10-14 12:40:18 UTC
Description:
Attached file was made in Excel by setting 2 cm margins and 1 cm row heights.
This results on screen 26 visible rows on one A4 page: 29.7 cm – 4 cm margins = 25.7 cm. But: 26 1 cm rows mathematically should not fit in 25.7 cm space, yet they do.
In Calc however only 25 rows are visible in page layout view / print.

This is related to bug 144642
What really happens there is that Excel displays row heights in 0.75 point increments, so 1 cm becomes 9.79 mm.
On the other hand, it writes to XLSX files the user input value, this is what Calc displays.
This is a bit of cheating (also happens with Calc-saved XLSX files in Excel), this results in more rows being displayed than what could fit in the available vertical space.


Steps to Reproduce:
1.Open attached file in Excel and Calc, go to layout view.

Actual Results:
Excel shows 26 rows, Calc shows 25 on one page.
Different page numbers.


Expected Results:
Have matching page numbers.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c998691e22ceda15c89d55cf7005201f0392dadb
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-10-14 12:42:43 UTC
Created attachment 175736 [details]
Example file from Excel with DefaulRowHeight_28.35pt
Comment 2 NISZ LibreOffice Team 2021-10-14 12:44:11 UTC
Created attachment 175737 [details]
Screenshot of the original document side by side in Excel and Calc
Comment 3 NISZ LibreOffice Team 2021-10-14 12:45:33 UTC
Created attachment 175738 [details]
Screenshot of the original document side by side in Excel and Calc layout view
Comment 4 NISZ LibreOffice Team 2021-10-14 12:46:03 UTC
Created attachment 175739 [details]
Screenshot of the original document side by side in Calc layout view
Comment 5 Commit Notification 2021-10-26 09:14:12 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/69424f0fd66a74dbabba66c9c7fb1420aa1ff4e9

tdf#145129 XLSX import: round down default row height

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2021-10-26 18:41:10 UTC
Please mark this bug as resolved. I have verified it. It is like in excel.

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: ca74611acfef50280a2c1f785448d9a09cca5a0d
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 7 NISZ LibreOffice Team 2021-11-08 11:41:32 UTC
Verified in: 

Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 73334560b2dd2d60ac58d2cc2b1a5295490b03e1
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded